The Open Plan Log Viewer

— Unless you have performed a process such as Time Analysis or Resource Scheduling, the System Log is the only tab that is displayed. This tab allows you to view the opwin.log that provides information such as the time the Open Plan executable file was opened and the location of the opwin.log. All the log files are stored in the same directory.

— This tab is displayed when you run time analysis on a project. This tab allows you to view the opp_ta.log that provides information that was generated during the procedure. If you run time analysis on more than one project during your Open Plan session, the Time Analysis tab displays information about the last project on which you ran the procedure.

— This tab is displayed when you run resource scheduling on a project. This tab allows you to view the opp_rs.log that provides information that was generated during the procedure. If you run resource scheduling on more than one project during your Open Plan session, the Resource Scheduling tab displays information about the last project on which you ran the procedure.

— This tab is displayed when you run risk analysis on a project. This tab allows you to view the opp_risk.log that provides information that was generated during the procedure. If you run risk analysis on more than one project during your Open Plan session, the Risk Analysis tab displays information about the last project on which you ran the procedure.

— This tab is displayed when you run cost calculations on a project. This tab allows you to view the opp_cost.log that provides information that was generated during the procedure. If you run cost calculations on more than one project during your Open Plan session, the Cost Calculations tab displays information about the last project on which you ran the procedure.

— This tab is displayed when you run progress calculations on a project. This tab allows you to view the opp_prog.log that provides information that was generated during the procedure. If you run progress calculations on more than one project during your Open Plan session, the Progress Calculations tab displays information about the last project on which you ran the procedure.

— This tab is displayed when you backup or restore Open Plan files. This tab allows you to view the opp_bkp.log that provides information that was generated during the backup or restore procedure. If you perform more than one backup or restore during your Open Plan session, the Backup/Restore tab displays information about the last operation.

— This tab is displayed when you transfer data between Open Plan and another application. This tab allows you to view the opp_xfer.log that provides information that was generated during the transfer operation. If you perform more than one import or export procedure during your Open Plan session, the Import/Export tab displays information about the last transfer operation.

To display the Open Plan Log Viewer from within Open Plan, select Log Viewer from the Open Plan View menu.

To display the Open Plan Log Viewer outside the context of Open Plan, follow these steps:

  1. Using Windows Explorer, navigate to the Open Plan root folder.

  2. Double-click OPPLogViewer.exe.

Using the Find in Log Dialog Box

Using the Options Dialog Box

The Open Plan Log Viewer

The Open Plan Log Viewer is a stand-alone application that can be accessed in two ways:

  • Within the context of Open Plan — Allows you to display the log files that have been created during the current session of Open Plan as well as previously saved log files.

  • Outside the context of Open Plan — Allows you to display only saved log files.

Open Plan creates a log file each time you run a procedure such as Time Analysis or Resource Scheduling. These log files provide information about the functions that have been performed. The log files are stored in the User folder located under the folder where the Open Plan executable file is stored. The first line on the System Log tab identifies the folder where all the log files are stored.

While you can navigate to the User folder and open any of the log files using a text editor such as Windows Notepad, the Open Plan Log Viewer provides a more convenient way to review this information.

When run from within Open Plan, the Open Plan Log Viewer features the following tabs:

  • System Log

  • Time Analysis

  • Resource Scheduling

  • Risk Analysis

  • Cost Calculations

  • Progress Calculations

  • Backup/Restore

  • Import/Export

With the exception of the System Log, each of these tabs is displayed only when you perform the relevant operation. If more logs are created than the Open Plan Log Viewer can display at one time, Open Plan provides navigation arrows that you can use to scroll through the tabs, or you can maximize the window to view all the tabs at once.

If you have the Open Plan Log Viewer running when you run an Open Plan procedure that creates a log, the log viewer, by default, will automatically refresh its display at a user-defined time interval. If the Enable automatic refresh option is turned off (accessed by clicking Options on the View menu), you can manually refresh the display by clicking Refresh on the View menu or by pressing F5. If you run the Open Plan Log Viewer outside the context of Open Plan, refreshing the display will have no effect.

When you open a previously saved log file, the tab created for the opened log file displays the log file’s name.

While you cannot edit the information in any of the log files using the Open Plan Log Viewer, you can copy text from a log and paste it into another Windows application.

You can also search for specific text in any displayed log by using the Find command on the View menu.

L ocation

Related Topics


Using the Find in Log Dialog Box

You can use the Find dialog box to locate a specific text string in the currently displayed log. Simply enter the text you wish to locate in the log, and click Find. The Open Plan Log Viewer will search the displayed log and highlight the first occurrence of the specified text. To find the next occurrence of the text, either click Find Next on the View menu, or press F3. The Find function is not case-sensitive.

L ocation

Related Topics


Using the Options Dialog Box

While in Open Plan, if you have the Open Plan Log Viewer running when you execute one of the Open Plan processes which creates a log, the log viewer becomes out of synchronization with the new log information. For example, assume you just performed Time Analysis and have viewed the log file. Also assume that while the Open Plan Log Viewer is still running, you perform Time Analysis again. The new time analysis log generated by the process does not overwrite the currently displayed (old) time analysis log. To view the new log, you have to refresh the Open Plan Log Viewer display.

The Enable automatic refresh option will refresh the display automatically according to a user-defined time interval. This option is selected by default. If you deselect this option, you can still manually refresh the display using one of the following methods:

  • From the View menu, click Refresh.

  • Press F5.

  • Close the Open Plan Log Viewer, and reopen it.

If you are running the Open Plan Log Viewer outside the context of Open Plan, refreshing the display will not have any effect.

If you have a log file that is longer than the display screen, this option will automatically scroll to the end of the log file when you first view it.

If you are using the Enable automatic refresh option, you can set the time interval in seconds that the Open Plan Log Viewer uses when automatically refreshing the display. For example, if you wanted the display to refresh every 2 minutes, you would enter 120 seconds. By default, this option is set to 10 seconds.

The log file path you enter in this field is the starting location the Open Plan Log Viewer uses when you execute the Open command. You can either type the full path name directly in this field, or you can click the ellipsis button to display a dialog box that you can use to select the desired location.

To display this dialog box, select Options from the View menu.

Using the Find in Log Dialog Box

The Open Plan Log Viewer

Using the Options Dialog Box

The Options dialog box allows you to set the following options for the Open Plan Log Viewer:

  • Enable automatic refresh

  • Enable autoscroll

  • Refresh files every X seconds

  • Default log file path

L ocation

Related Topics